New Install and keep old?
Author: dejavu
Creation Date: 8/21/2008 4:30 PM
profile picture

dejavu

#1
Apologize if this is not the right forum, if so you may redirect.
As I understand is better to keep the old V4.5.35 as those custom scripts will not be transferred to the new version.
If I use the link from my ATP to launch WL it tells me will upgrade to V5.
Will this install on top of the older version?, should I download and install from the Fidelity ATP site the new version?
thank you very much
David
profile picture

Cone

#2
Version 4 and Version 5 are completely separate programs. You can install, and even run both, simultaneously.
profile picture

dejavu

#3
great
thank you very much
David
profile picture

tmantrader

#4
I have the same issue. I had installed .NET version a couple of months ago. I run it from time to time to play with the functionality.... Today I got the message from ATP to upgrade when I launched. The problem is, when I launch W-L from ATP, it now points to v5. This is a big problem because if I run W-L v4 not having launched it from ATP I get external exception errors when I run things like Quote Manager (which is crucial to my current operations). Is there any way I can point ATP back to v4?

Thanks,

Tom
profile picture

Cone

#5
We can't answer that - call Fidelity Support. (It looks to me like the change goes with ATP 8.1.)


QUOTE:
because if I run W-L v4 not having launched it from ATP I get external exception errors when I run things like Quote Manager

Just make sure that WLP is "connected" to ATP by depressing the Fidelity button. If that's done, then there's no difference running WLP after launching it from ATP or from the Start menu... however based on the clues you've provided, we cannot rule out that something has changed (broke) in ATP 8.1 in supporting streaming to Version 4. (Version 5 doe not communicates with ATP.)
profile picture

tmantrader

#6
Just to share the resolution to this after a call to Fidelity support in case others are having the same issue.

1. Yes, ATP 8.1 only points to W-L v5.

2. To get back, I needed to go back to ATP version 8.0. To do this uninstall 8.1, delete your ATP data folder (you have to do this because these files had been upgraded to 8.1 and will not work should you decide to go backward)...here is the link to the download (http://atp.fidelity.com/version80/ATsetup.msi). Follow the menus/prompts through the new user process again and you are installed.

3. Now everything works fine. Make sure not to upgrade upon any ATP prompts.

4. The tech I spoke to at Fidelity was not aware, but I recall that starting with 8.0, the only way quote manager will work is if W-L is started from the ATP menu.

I sure hope that the chartscript conversion utility is live prior to ATP 8.0 going away.

Thanks for your help,

Tom



profile picture

Cone

#7
QUOTE:
the only way quote manager will work is if W-L is started from the ATP menu.

This would be a huge surprise if this is truly the case. Maybe there's something in your particular workflow that creates a peculiar situation. Anyway, I'll make a point to look at it next week.
profile picture

Cone

#8
Just looked at this with WLP 4.5/ATP 8.1. I don't detect any problems if WLP is launched from outside of ATP. However, after trying a different combinations of workflow events, I could "break it" if:

1. Quote Mgr is activated and communicating with ATP.
2. ATP is shutdown (WLP displays message)
3. Restart ATP
4. WLP - press Connect to Fidelity ATP button

At this point, to get the Quote Manager to resume, you have to cycle the Activate button.